Option Strict Off
Option Explicit On
Friend Class GraphicsStructure
	Inherits System.Windows.Forms.Form
	Public newnumitems As Short
	Public ptrmainwindow As MainWindow
	
	'UPGRADE_NOTE: graphics was upgraded to graphics_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
    Public Sub init()
        'UPGRADE_WARNING: Couldn't resolve default property of object graphics.numitems. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
        newnumitems = graphics.numitems
        GNumItems.Text = Str(newnumitems)
    End Sub
	
    Private Sub Cancel_ClickEvent(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Cancel.Click
        Me.Close()
    End Sub
	
	'UPGRADE_WARNING: Event GNumItems.TextChanged may fire when form is initialized. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="88B12AE1-6DE0-48A0-86F1-60C0686C026A"'
	Private Sub GNumItems_TextChanged(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles GNumItems.TextChanged
		newnumitems = App.EFChange16(GNumItems, 0, 65535)
		
	End Sub
	
	'UPGRADE_NOTE: graphics was upgraded to graphics_Renamed. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="A9E4979A-37FA-4718-9994-97DD76ED70A7"'
    Private Sub Ok_ClickEvent(ByVal eventSender As System.Object, ByVal eventArgs As System.EventArgs) Handles Ok.Click

        'UPGRADE_WARNING: Couldn't resolve default property of object graphics.setsize. Click for more: 'ms-help://MS.VSCC.v90/dv_commoner/local/redirect.htm?keyword="6A50421D-15FE-4896-8A1B-2EC21E9037B2"'
        graphics.setsize(newnumitems)
        'For i = graphics.numitems To newnumitems
        '    graphics.setgitemsize i, 0
        '    graphics.setgitemsdata i, ""
        'Next
        'graphics.numitems = newnumitems
        ptrmainwindow.inititemlist()
        Me.Close()
    End Sub
End Class